Home
Support Forums

SHA Integrity errors on build

I am having problems building a site on two different areas. It’s the same error for each repo:

The only thing that has change from the last successful build and now was a git dependabot update.

9:35:47 AM: Installing NPM modules using NPM version 6.14.4

9:36:06 AM: npm WARN read-shrinkwrap This version of npm is compatible with lockfileVersion@1, but package-lock.json was generated for lockfileVersion@2. I'll try to do my best with it!
npm ERR! code EINTEGRITY

9:36:06 AM: npm ERR! sha512-2A892lrj0GcgR/9Qk81EaY2gYhCBxurV0PfmmESO6p27QPrUK1J3zdns+5QPqvUYK2q657nSj0guoIil9+7eFg== integrity checksum failed when using sha512: wanted sha512-2A892lrj0GcgR/9Qk81EaY2gYhCBxurV0PfmmESO6p27QPrUK1J3zdns+5QPqvUYK2q657nSj0guoIil9+7eFg== but got sha512-9UPJ1UTvKayuQfVv2IQ3k7tCQC/fboDyIK62i99dAQIyHKaBsNdTpwHLgKJ6guRWxRtC9H+138UwpaGuQO9uWQ==. (13765 bytes)

9:36:06 AM: npm WARN tarball tarball data for socket.io-client@2.3.0 (sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA==) seems to be corrupted. Trying one more time.

9:36:07 AM: npm ERR! code EINTEGRITY

9:36:07 AM: npm ERR! sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA== integrity checksum failed when using sha512: wanted sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA== but got sha512-M6xhnKQHuuZd4Ba9vltCLT9oa+YvTsP8j9NcEiLElfIg8KeYPyhWOes6x4t+LTAC8enQbE/995AdTem2uNyKKQ==. (395975 bytes)

9:36:48 AM: npm ERR! A complete log of this run can be found in:

9:36:48 AM: npm ERR! /opt/buildhome/.npm/_logs/2021-06-18T15_36_06_149Z-debug.log

9:36:49 AM: Error during NPM install

9:36:49 AM: Build was terminated: Build script returned non-zero exit code: 1

9:36:49 AM: Creating deploy upload records

9:36:49 AM: Failing build: Failed to build site

9:36:49 AM: Failed during stage 'building site': Build script returned non-zero exit code: 1

9:36:49 AM: Finished processing build request in 1m27.860392021s

This is on two netlify sites the first being on my account “a11ytalks-markie” which is my fork of the branch and then when I add PR to the live repo that is built on “a11ytalks”. The repo for the second is not my account or repo, but merge requests should be OK… Any ideas? For my last push, I didn’t even change the package.json, only the data files.

PLEASE help us help you by writing a good post!

  • we need to know your netlify site name. Example: gifted-antelope-58b104.netlify.app
  • DNS issues? Tell us the custom domain, tell us the error message! We can’t help if we don’t know your domain.
  • Build problems? Link or paste the FULL build log & build settings screenshot

The better the post - the faster the answer.

Full Build log

11:16:41 AM: build-image version: 2cee85eb7f808bf3b6e87378c5307f9411f0a332
11:16:41 AM: build-image tag: v3.8.0
11:16:41 AM: buildbot version: 50f65aefac6a0b0332883c4b4311845d6395ce2b
11:16:41 AM: Fetching cached dependencies
11:16:41 AM: Failed to fetch cache, continuing with build
11:16:41 AM: Starting to prepare the repo for build
11:16:42 AM: No cached dependencies found. Cloning fresh repo
11:16:42 AM: git clone https://github.com/cehfisher/accessibility-talks
11:16:46 AM: Preparing Git Reference pull/15/head
11:16:47 AM: Parsing package.json dependencies
11:16:48 AM: Different publish path detected, going to use the one specified in the Netlify configuration file: 'public' versus 'public/' in the Netlify UI
11:16:48 AM: Starting build script
11:16:48 AM: Installing dependencies
11:16:48 AM: Python version set to 2.7
11:16:49 AM: v12.18.0 is already installed.
11:16:50 AM: Now using node v12.18.0 (npm v6.14.4)
11:16:50 AM: Started restoring cached build plugins
11:16:50 AM: Finished restoring cached build plugins
11:16:50 AM: Attempting ruby version 2.7.1, read from environment
11:16:51 AM: Required ruby-2.7.1 is not installed - installing.
11:16:51 AM: Searching for binary rubies, this might take some time.
11:16:51 AM: Found remote file https://rvm_io.global.ssl.fastly.net/binaries/ubuntu/16.04/x86_64/ruby-2.7.1.tar.bz2
11:16:51 AM: Checking requirements for ubuntu.
11:16:52 AM: Requirements installation successful.
11:16:52 AM: ruby-2.7.1 - #configure
11:16:52 AM: ruby-2.7.1 - #download
11:16:53 AM: ruby-2.7.1 - #validate archive
11:16:58 AM: ruby-2.7.1 - #extract
11:17:01 AM: ruby-2.7.1 - #validate binary
11:17:02 AM: ruby-2.7.1 - #setup
11:17:02 AM: ruby-2.7.1 - #gemset created /opt/buildhome/.rvm/gems/ruby-2.7.1@global
11:17:02 AM: ruby-2.7.1 - #importing gemset /opt/buildhome/.rvm/gemsets/global.gems........................................
11:17:03 AM: ruby-2.7.1 - #generating global wrappers........
11:17:03 AM: ruby-2.7.1 - #gemset created /opt/buildhome/.rvm/gems/ruby-2.7.1
11:17:03 AM: ruby-2.7.1 - #importing gemsetfile /opt/buildhome/.rvm/gemsets/default.gems evaluated to empty gem list
11:17:04 AM: ruby-2.7.1 - #generating default wrappers........
11:17:04 AM: Using /opt/buildhome/.rvm/gems/ruby-2.7.1
11:17:04 AM: Using ruby version 2.7.1
11:17:05 AM: Using PHP version 5.6
11:17:05 AM: Started restoring cached node modules
11:17:05 AM: Finished restoring cached node modules
11:17:05 AM: Installing NPM modules using NPM version 6.14.4
11:17:22 AM: npm WARN read-shrinkwrap This version of npm is compatible with lockfileVersion@1, but package-lock.json was generated for lockfileVersion@2. I'll try to do my best with it!npm ERR! code EINTEGRITY
11:17:22 AM: npm ERR! sha512-2A892lrj0GcgR/9Qk81EaY2gYhCBxurV0PfmmESO6p27QPrUK1J3zdns+5QPqvUYK2q657nSj0guoIil9+7eFg== integrity checksum failed when using sha512: wanted sha512-2A892lrj0GcgR/9Qk81EaY2gYhCBxurV0PfmmESO6p27QPrUK1J3zdns+5QPqvUYK2q657nSj0guoIil9+7eFg== but got sha512-9UPJ1UTvKayuQfVv2IQ3k7tCQC/fboDyIK62i99dAQIyHKaBsNdTpwHLgKJ6guRWxRtC9H+138UwpaGuQO9uWQ==. (13765 bytes)
11:17:22 AM: npm WARN tarball tarball data for socket.io-client@2.3.0 (sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA==) seems to be corrupted. Trying one more time.
11:17:24 AM: npm ERR! code EINTEGRITY
11:17:24 AM: npm ERR! sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA== integrity checksum failed when using sha512: wanted sha512-cEQQf24gET3rfhxZ2jJ5xzAOo/xhZwK+mOqtGRg5IowZsMgwvHwnf/mCRapAAkadhM26y+iydgwsXGObBB5ZdA== but got sha512-M6xhnKQHuuZd4Ba9vltCLT9oa+YvTsP8j9NcEiLElfIg8KeYPyhWOes6x4t+LTAC8enQbE/995AdTem2uNyKKQ==. (395975 bytes)
11:17:57 AM: npm ERR! A complete log of this run can be found in:
11:17:57 AM: npm ERR!     /opt/buildhome/.npm/_logs/2021-06-20T17_17_22_867Z-debug.log
11:17:57 AM: Error during NPM install
11:17:57 AM: Build was terminated: Build script returned non-zero exit code: 1
11:17:57 AM: Creating deploy upload records
11:17:57 AM: Failing build: Failed to build site
11:17:57 AM: Failed during stage 'building site': Build script returned non-zero exit code: 1
11:17:57 AM: Finished processing build request in 1m15.792125777s

Build settings screen shot

Hi @markie,

Would you try removing package-lock.json to see if it makes a difference?

1 Like

perfection… Thanks for the quick response.

1 Like